Package org.eclipse.emf.cdo.common.model

# Class CDOClassifierRef

java.lang.Object
org.eclipse.emf.cdo.common.model.CDOClassifierRef

All Implemented Interfaces:
  `Serializable`

public final class CDOClassifierRef extends Object implements Serializable
References an `EClassifier`.

Since:
  2.0
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`CDOClassifierRef.Provider`
Provides `classifier references`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`URI_SEPARATOR`

## Constructor Summary

Constructors
Constructor
Description
`CDOClassifierRef()`
`CDOClassifierRef(String uri)`
`CDOClassifierRef(String packageURI, String classifierName)`
`CDOClassifierRef(CDODataInput in)`
`CDOClassifierRef(EClassifier classifier)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getClassifierName()`
`String`
`getPackageURI()`
`String`
`getURI()`
`int`
`hashCode()`
`EClassifier`
`resolve(EPackage.Registry packageRegistry)`
`String`
`toString()`
`void`
`write(CDODataOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### URI_SEPARATOR

public static final String URI_SEPARATOR

See Also:
  - Constant Field Values

## Constructor Details

### CDOClassifierRef

public CDOClassifierRef()

### CDOClassifierRef

public CDOClassifierRef(EClassifier classifier)

### CDOClassifierRef

public CDOClassifierRef(String packageURI, String classifierName)

### CDOClassifierRef

public CDOClassifierRef(String uri)

Since:
  4.0

### CDOClassifierRef

public CDOClassifierRef(CDODataInput in) throws IOException

Throws:
  `IOException`
Since:
  3.0

## Method Details

### write

public void write(CDODataOutput out) throws IOException

Throws:
  `IOException`
Since:
  3.0

### getURI

public String getURI()

Since:
  4.0

### getPackageURI

public String getPackageURI()

### getClassifierName

public String getClassifierName()

### resolve

public EClassifier resolve(EPackage.Registry packageRegistry)

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`